initial code repo
[stor4nfv.git] / src / ceph / debian / ceph-osd.prerm
diff --git a/src/ceph/debian/ceph-osd.prerm b/src/ceph/debian/ceph-osd.prerm
new file mode 100644 (file)
index 0000000..40f07b6
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+# vim: set noet ts=8:
+
+set -e
+
+case "$1" in
+    remove)
+       [ -x /sbin/stop ] && stop ceph-osd-all || true
+       invoke-rc.d ceph stop osd || {
+           RESULT=$?
+           if [ $RESULT != 100 ]; then
+               exit $RESULT
+           fi
+       }
+       ;;
+
+    *)
+       ;;
+esac
+
+#DEBHELPER#
+
+exit 0